> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blnkfinance.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Scheduling Transactions

> Learn how to schedule a transaction for a later date in your Blnk Ledger.

Blnk supports scheduling a transaction for a later specified date. This can be useful for both one-time or recurring transactions that need to automatically happen at a certain date in the future.

***

## Scheduling a transaction

To schedule a transaction, include the `scheduled_for` field in your request body when calling the **record-transaction** endpoint.

```
POST http://YOUR_BLNK_INSTANCE_URL/transactions
```

<CodeGroup>
  ```json Request {8} theme={"system"}
  {
      "amount": 100000,
      "precision": 100,
      "reference": "ref",
      "currency": "USD",
      "source": "bln_28edb3e5-c168-4127-a1c4-16274e7a28d3",
      "destination": "@fees",
      "scheduled_for": "2024-12-21T01:36:46+01:00",
      "meta_data": {
        "sender_name": "John Doe",
        "sender_account": "00000000000"
      }
  }
  ```

  <Tip>
    Always format the `scheduled_for` date input as 'YYYY-MM-DDTHH:MM:SS+00:00' (e.g., 2024-04-22T15:28:03+00:00), where `+00:00` specifies the timezone. It is UTC by default.
  </Tip>

  ```json Response {12} theme={"system"}
  {
      "id": "txn_6164573b-6cc8-45a4-ad2e-7b4ba6a60f7d",
      "source": "bln_ebcd230f-6265-4d4a-a4ca-45974c47f746",
      "destination": "bln_28edb3e5-c168-4127-a1c4-16274e7a28d3",
      "reference": "ref",
      "amount": 100000,
      "precision": 100,
      "precise_amount": 10000000,
      "currency": "USD",
      "status": "QUEUED",
      "created_at": "2024-12-21T01:36:46.997063436Z",
      "scheduled_for": "2024-12-21T01:36:46+01:00",
      "meta_data": {
        "sender_name": "John Doe",
        "sender_account": "00000000000"
      }
  }
  ```
</CodeGroup>

Blnk accepts and adds the transaction to its queue. Once the scheduled time is reached, the transaction gets applied and you receive a notification via the `transaction.applied` webhook event.

### Canceling a scheduled transaction

To cancel a scheduled transaction on your ledger, schedule a new transaction for a few seconds after the original scheduled transaction.

The destination balance of the original transaction becomes the source, and the original source becomes the destination. This way, the transaction is canceled on your ledger.

***

## Scheduling an inflight commit transaction

<Info>Available in version 0.14.1 and later.</Info>

Scheduled transactions only delay when a transaction starts.

When you need to reserve balances now and commit an inflight transaction automatically at a specified future time, use **`inflight: true`** with **`inflight_commit_date`** instead.

<Card href="/transactions/inflight#schedule-inflight-commits" title="Schedule inflight commits" icon="calendar-clock">
  Learn how to schedule an inflight commit transaction
</Card>

***

## Need help?

We are very happy to help you make the most of Blnk, regardless of whether it is your first time or you are switching from another tool.

To ask questions or discuss issues, please [contact us](mailto:support@blnkfinance.com) or [join our Discord community](https://discord.gg/7WNv94zPpx).

***

<Tip>
  **Tip:** Connect to Blnk Cloud to see your Core data.

  You can view your transactions, manage identities, create custom reports, invite other team members to collaborate, and perform operations on your Core — all in one dashboard.

  [Check out Blnk Cloud →](https://www.blnkfinance.com/products/cloud)
</Tip>
